(defun c:FTX ()
   (prompt "\nFactor de scala para TEXTOS: ")
   (initget 1)
   (setq fscale (getreal))
   
   (prompt "\nSeleccione TEXTOS o MULTI LINE TEXT a cambiar: ")
   (setq selec (ssget (list '(-4 . "<OR") '(0 . "TEXT") '(0 . "MTEXT") '(-4 . "OR>"))))
   (if (null selec)
      (progn
         (print "\nNo se seleccinaron entidades.")
      )
      (progn
         (txt_ve)
         (ch_txt)
      )
   )
)

;; Verifica textos y multi line textos
(defun txt_ve ()
   (setq cant (sslength selec)
         ntxt (ssadd)
         notr (ssadd))
   (while (> cant 0)
      (setq temp (ssname selec (setq cant (1- cant))))
      (if (= (cdr (assoc 0 (entget temp))) "TEXT")
          (ssadd temp ntxt)
      )
      (if (= (cdr (assoc 0 (entget temp))) "MTEXT")          
          (ssadd temp notr)
      )
   )
   (princ "\nTEXTOS seleccionadas: ") (princ (sslength ntxt))
   (princ "\nMTEXTOS seleccionadas: ") (princ (sslength notr))
)

;; Cambia la propiedad factor de scala de texto
(defun ch_txt ()
   (setq ocmd (getvar "CMDECHO"))
   (setvar "CMDECHO" 0)
   (COMMAND "_UNDO" "_GROUP")

   (setq cant (sslength ntxt))
   (while (> cant 0)
      (setq temp (ssname ntxt (setq cant (1- cant))))
      (setq ent (entget temp))
      (setq hhtxt (cdr (assoc 40 ent)))             ;;;obtiene altura de textO

      (setq nhq (subst (cons 40 (* hhtxt fscale)) (assoc 40 ent) ent))
      (entmod nhq)
   )

   (setq cant (sslength notr))
   (while (> cant 0)
      (setq temp (ssname notr (setq cant (1- cant))))
      (setq ent (entget temp))
      (setq hhtxt (cdr (assoc 40 ent)))       ;;;altura de MTEXT

      (setq nhq (subst (cons 40 (* hhtxt fscale)) (assoc 40 ent) ent))
      (entmod nhq)
   )

   (COMMAND "_UNDO" "_E")
   (setvar "CMDECHO" ocmd)
   (princ)
)
(princ "\nC:FTX by Nelson Huanquiri (c) JUN98") (princ)